# Project metadata guidelines:
#   https://peps.python.org/pep-0621/
#
# ------------------------------------------------------------------------------
# Setup
# ------------------------------------------------------------------------------
[project]
name = "Scaffold base template"
version = "2.4.1"
authors = [
  {name = "Julien Lecomte", email = "julien@lecomte.at"}
]
readme  = "README.md"
license = {text = "MIT"}


[tool.codespell]
# https://github.com/codespell-project/codespell/blob/master/README.rst
#
# Dictionary is updated when codespell is updated, nevertheless, it can
# be found somewhere like:
# - .venv/lib/python3.*/site-packages/codespell_lib/data/dictionary.txt
# - ~/.local/pipx/venvs/codespell/lib/python3.*/site-packages/codespell_lib/data/dictionary.txt
skip = "*.pyc,.cache,.git,.tox,.venv,public"
builtin = "clear,informal,rare,names"
ignore-words = "support/codespell.exclude"
check-filenames = ""


[tool.nitpick]
style = [
  # Ensure this project is up-to-date with template:
  "nitpick/scaffold-tpl-version-check.toml",
  #
  "https://gitlab.com/cappysan/nitpick/-/raw/master/resources/nitpick.toml",
  "https://gitlab.com/cappysan/nitpick/-/raw/master/resources/pre-commit.toml",
]
ignore_styles = []
